> ## Documentation Index
> Fetch the complete documentation index at: https://judged.systems/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a simulation

> Requires simulations:run.



## OpenAPI

````yaml /openapi.json get /api/simulations/{id}
openapi: 3.1.0
info:
  title: judged.systems
  version: 0.1.0
  description: >-
    Judge one support ticket. Product routes accept an API key or a browser
    session. If a key is sent, the session is not used. POST /api/judge and POST
    /api/webhooks/inbound accept an API key only. Send the key in the x-api-key
    header or as Authorization: Bearer.
servers:
  - url: https://judged.systems
security:
  - apiKey: []
  - bearerAuth: []
  - {}
tags:
  - name: Packs
  - name: Judge
  - name: Evaluations
  - name: Reviews
  - name: Labels
  - name: Datasets
  - name: Simulations
  - name: Stats
  - name: Webhooks
paths:
  /api/simulations/{id}:
    get:
      tags:
        - Simulations
      summary: Get a simulation
      description: Requires simulations:run.
      operationId: getSimulation
      parameters:
        - $ref: '#/components/parameters/simulationId'
      responses:
        '200':
          description: The run and its summary.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Simulation'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    simulationId:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    Simulation:
      type: object
      required:
        - id
        - packId
        - packVersionId
        - datasetId
        - createdAt
        - updatedAt
        - status
        - error
        - total
        - done
        - reviewRate
        - avgLatencyMs
        - totalTokens
        - evaluations
      properties:
        id:
          type: string
        packId:
          type: string
        packVersionId:
          type: string
        datasetId:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - queued
            - running
            - complete
            - failed
        error:
          type:
            - string
            - 'null'
        total:
          type: integer
        done:
          type: integer
        reviewRate:
          type: number
        avgLatencyMs:
          type: number
        totalTokens:
          type: number
        evaluations:
          type: array
          items:
            type: object
            required:
              - id
              - status
              - ticketHash
            properties:
              id:
                type: string
              status:
                $ref: '#/components/schemas/ResultStatus'
              ticketHash:
                type: string
    ResultStatus:
      type: string
      enum:
        - accept
        - review
        - reject
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
        issues:
          type: array
          items:
            type: object
  responses:
    Error:
      description: >-
        Error body is { error: string }. Status is 400, 401, 403, 404, 409, 429,
        or 500. A 400 from a schema failure also includes issues.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
    bearerAuth:
      type: http
      scheme: bearer
      description: 'The API key, sent as Authorization: Bearer.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.